> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/transport-sessions/sentlocationdataiterator.md).

# SENTLocationDataIterator

An iterator that can be used to retrieve locations.

Iterating over the locations may be expensive, so avoid doing it directly on the main application thread.

```objectivec
SWIFT_CLASS_NAMED("LocationDataIterator")
@interface SENTLocationDataIterator : NSObject
```

## SENTLocationDataIterator API

### `next`

> Returns the location if available otherwise returns `nil`.
>
> ```objectivec
> - (CLLocation * _Nullable)next;
> ```
>
> \
> Example code:
>
> ```objectivec
> SENTLocationDataIterator *locationDataIterator;
> CLLocation *location;
> while ((location = [locationDataIterator next]) != nil) {
>   // location object
> }
> ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/transport-sessions/sentlocationdataiterator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
